<script lang="ts">
import Vue from 'vue';
import SlpHorizontalRule from '../common/horizontal-rule.vue';

export default Vue.extend({
  name: 'CaseStudies',
  components: {
    SlpHorizontalRule,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="slp-position-relative">
    <span
      v-if="data.metadata"
      :id="data.metadata.id_tag || ''"
      :data-slippers-scroll="data.metadata.id_tag || ''"
    ></span>
    <SlpTypography tag="h3" variant="heading3" class="slp-mb-24 slp-ml-16">{{
      data.title
    }}</SlpTypography>
    <div class="case-study">
      <div class="case-study__container">
        <div
          v-for="(caseStudy, index) in data.case_studies"
          :key="index"
          class="case-study__card slp-card"
        >
          <div class="case-study__img__container">
            <nuxt-img
              class="case-study__img__container__img"
              :src="caseStudy.image_url"
              :alt="caseStudy.image_alt ? caseStudy.image_alt : ''"
              loading="lazy"
              format="webp"
              quality="99"
            />
          </div>
          <div class="case-study__content">
            <a :href="caseStudy.link_url"
              ><SlpTypography variant="heading5" class="bold">{{
                caseStudy.title
              }}</SlpTypography></a
            >
            <SlpTypography
              tag="p"
              variant="body1"
              class="slp-text-granite slp-mb-8 slp-mt-4"
              >{{ caseStudy.author }}</SlpTypography
            >
            <a
              class="case-study__btn"
              :href="caseStudy.link_url"
              :data-ga-name="caseStudy.data_ga_name"
              :data-ga-location="caseStudy.data_ga_location"
              :aria-label="caseStudy.data_ga_name"
              ><SlpTypography variant="body1">{{
                caseStudy.link_text
              }}</SlpTypography></a
            >
          </div>
        </div>
      </div>
    </div>
    <SlpHorizontalRule v-if="data.has_horizontal_rule" />
  </section>
</template>

<style scoped lang="scss">
.bold {
  font-weight: bold;
}
.case-study {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;

  &__container {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(1, 1fr);

    @media (min-width: $breakpoint-xl) {
      grid-template-columns: repeat(3, 1fr);
    }
  }

  &__card {
    display: flex;
    margin: $spacing-24;
    padding: $spacing-16;
  }

  &__img__container {
    padding-right: 20px;
    width: 85px;

    &__img {
      max-width: 100%;
    }
  }

  &__content {
    display: flex;
    flex-direction: column;
  }

  &__btn {
    margin-top: $spacing-8;

    &:hover {
      text-decoration: underline;
      color: $color-secondary-300;
    }

    &:after {
      position: absolute;
      content: '→';
      padding-top: 2px;
      padding-left: 4px;
      width: 9px;
      text-decoration: none;
    }
  }
}
</style>
